System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.MessageContract(IsWrapped=false)

When or an implementation of is called, this object is returned to the client. It contains the refreshed registration entry with the new expiry timestamp, and is returned when a previous instance is sent to the peer resolver as part of a request to update the expiry of a registration entry.

Instances of this class are primarily used to pass information from the resolver service to a network client of that service.

Contains response information returned as a result of a registration lookup table refresh operation on the peer resolver.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new default instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the provided registration lifetime and refresh results.

  that specifies the new lifetime of the peer's registration.
  that specifies the result of the refresh.
- Method
  4.0.0.0
  System.Boolean To be added.

  Indicates whether the body of the message containing a serialized instance of this type is correctly formed.

  True if the refresh response information body is correctly-formed by the sender; false if it is not.

- Property
  4.0.0.0
  System.TimeSpan To be added. To be added.

  Gets or sets amount of time before a registration expires and is removed by the resolver service.

- Property
  4.0.0.0
  System.ServiceModel.PeerResolvers.RefreshResult To be added. To be added.

  Gets or sets the result of a refresh operation.